Bug 144022 - [PATCH] graphics/mupdf: update to r937
[PATCH] graphics/mupdf: update to r937
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: nemoliu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-16 22:10 UTC by martin.dieringer
Modified: 2010-02-22 11:50 UTC (History)
0 users

See Also:


Attachments
mupdf-r937_1,1.patch (1.05 KB, patch)
2010-02-16 22:10 UTC, martin.dieringer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2010-02-16 22:10:01 UTC
- Update to r937

Generated with FreeBSD Port Tools 0.99
Comment 1 martin.dieringer 2010-02-21 16:56:59 UTC
already a new version: r938



--- mupdf-r938,1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/Makefile /data/compile/ports/mupdf/Makefile
--- /usr/ports/graphics/mupdf/Makefile	2010-02-09 04:36:31.000000000 +0100
+++ /data/compile/ports/mupdf/Makefile	2010-02-21 17:51:41.000000000 +0100
@@ -5,8 +5,7 @@
  # $FreeBSD: ports/graphics/mupdf/Makefile,v 1.4 2010/02/05 11:39:01 dinoex Exp $

  PORTNAME=	mupdf
-PORTVERSION=	r921
-PORTREVISION=	1
+PORTVERSION=	r938
  PORTEPOCH=	1
  CATEGORIES=	graphics
  MASTER_SITES=	http://ccxvii.net/mupdf/download/
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/Makefile~ /data/compile/ports/mupdf/Makefile~
--- /usr/ports/graphics/mupdf/Makefile~	1970-01-01 01:00:00.000000000 +0100
+++ /data/compile/ports/mupdf/Makefile~	2010-02-16 22:56:15.000000000 +0100
@@ -0,0 +1,53 @@
+# New ports collection makefile for:	mupdf
+# Date created:		2009-08-07
+# Whom:			Martin Dieringer <martin.dieringer@gmx.de>
+#
+# $FreeBSD: ports/graphics/mupdf/Makefile,v 1.4 2010/02/05 11:39:01 dinoex Exp $
+
+PORTNAME=	mupdf
+PORTVERSION=	r937
+PORTREVISION=	1
+PORTEPOCH=	1
+CATEGORIES=	graphics
+MASTER_SITES=	http://ccxvii.net/mupdf/download/
+
+MAINTAINER=	martin.dieringer@gmx.de
+COMMENT=	Lightweight PDF viewer and toolkit
+
+BUILD_DEPENDS=	jam:${PORTSDIR}/devel/jam
+LIB_DEPENDS=	freetype.9:${PORTSDIR}/print/freetype2 \
+		jpeg.11:${PORTSDIR}/graphics/jpeg
+
+WRKSRC=		${WRKDIR}/${PORTNAME}
+USE_XORG=	x11 xext
+JAM_ARGS=	-q -sLOCALBASE=${LOCALBASE} \
+		-sPTHREAD_LIBS=${PTHREAD_LIBS} ${_MAKE_JOBS}
+MAKE_JOBS_SAFE=	yes
+
+EXECUTABLES=	cmapdump    pdfdraw     pdfinfo \
+		fontdump    pdfclean    pdfextract  pdfshow
+
+OPTIONS=	CJK "Enable Asian Fontset" On
+
+.include <bsd.port.options.mk>
+
+.if defined(WITHOUT_CJK)
+JAM_ARGS+=	-sDEFINES=NOCJK
+.endif
+
+do-build:
+	cd ${WRKSRC} &&	jam ${JAM_ARGS}
+
+do-install:
+	${INSTALL} ${WRKSRC}/build/mupdf ${PREFIX}/bin/mupdf
+.for f in ${EXECUTABLES}
+	${INSTALL} ${WRKSRC}/build/$f ${PREFIX}/bin/mu_$f ;
+.endfor
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == "sparc64"
+BROKEN=		Does not install on sparc64
+.endif
+
+.include <bsd.port.post.mk>
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/distinfo /data/compile/ports/mupdf/distinfo
--- /usr/ports/graphics/mupdf/distinfo	2010-01-12 04:38:17.000000000 +0100
+++ /data/compile/ports/mupdf/distinfo	2010-02-21 17:51:53.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (mupdf-r921.tar.gz) = 5ccee1c638af0a5a4fab54badd30513a
-SHA256 (mupdf-r921.tar.gz) = df793a155f67f95feaab4060ed5d8b8eab5296778291aba06063c2524377c73b
-SIZE (mupdf-r921.tar.gz) = 3287941
+MD5 (mupdf-r938.tar.gz) = b3486973695fc565d13bf720d154e325
+SHA256 (mupdf-r938.tar.gz) = 0db34d53e66d76857a171a7fbd7dd7b98e6afed6e8fcadee71e239f8653b547f
+SIZE (mupdf-r938.tar.gz) = 3611931
--- mupdf-r938,1.patch ends here ---
Comment 2 nemoliu freebsd_committer 2010-02-22 11:38:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemoliu

I'll take it.
Comment 3 dfilter freebsd_committer 2010-02-22 11:41:22 UTC
nemoliu     2010-02-22 11:41:10 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mupdf       Makefile distinfo 
  Log:
  - Update to r937
  - Fix previous pre.mk ordering bug by converting to new style options.mk.
  
  PR:     ports/144022
  Submitted by:   Martin Dieringer <martin.dieringer@gmx.de>
  
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +2 -5      ports/graphics/mupdf/Makefile
  1.3       +3 -3      ports/graphics/mupdf/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 nemoliu freebsd_committer 2010-02-22 11:45:24 UTC
State Changed
From-To: open->closed

Committed.Thanks.